/**Begin D:\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
EXEC p_AlterColumn 'T_SOECADM_OUTAUDIT', 'FAUDITLEADER', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_OUTAUDIT' AND KSQL_COL_NAME ='FPERCATEGORY')
ALTER TABLE T_SOECADM_OUTAUDIT ADD (FPERCATEGORY VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_OUTAUDIT' AND KSQL_COL_NAME ='FJCONVOPERSON')
ALTER TABLE T_SOECADM_OUTAUDIT ADD (FJCONVOPERSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
EXEC p_AlterColumn 'T_SOECADM_OUTAUDIT_L', 'FAUDITLEADER', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_OINPER')
CREATE TABLE T_SOECADM_OINPER (
                                  FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                  FSEQ INT DEFAULT 0 NOT NULL,
                                  FINCONVOPERSONID BIGINT DEFAULT 0 NOT NULL,
                                  FID BIGINT DEFAULT 0 NOT NULL
);


EXEC p_AlterColumn 'T_SOECADM_INTCONVO_L', 'FCONVOPERSON', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

EXEC p_AlterColumn 'T_SOECADM_INTCONVO', 'FCONVOPERSON', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_INTCONVO' AND KSQL_COL_NAME ='FPERCATEGORY')
ALTER TABLE T_SOECADM_INTCONVO ADD (FPERCATEGORY VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_INTCONVO' AND KSQL_COL_NAME ='FJCONVOPERSON')
ALTER TABLE T_SOECADM_INTCONVO ADD (FJCONVOPERSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_INPER')
CREATE TABLE T_SOECADM_INPER (
                                 FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                 FSEQ INT DEFAULT 0 NOT NULL,
                                 FINCONVOPERSONID BIGINT DEFAULT 0 NOT NULL,
                                 FID BIGINT DEFAULT 0 NOT NULL
);


EXEC p_AlterColumn 'T_SOECADM_CONVO_L', 'FCONVOPERSON', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

EXEC p_AlterColumn 'T_SOECADM_CONVO', 'FCONVOPERSON', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_CONVO' AND KSQL_COL_NAME ='FPERCATEGORY')
ALTER TABLE T_SOECADM_CONVO ADD (FPERCATEGORY VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_CONVO' AND KSQL_COL_NAME ='FJCONVOPERSON')
ALTER TABLE T_SOECADM_CONVO ADD (FJCONVOPERSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_CINPER')
CREATE TABLE T_SOECADM_CINPER (
                                  FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                  FSEQ INT DEFAULT 0 NOT NULL,
                                  FINCONVOPERSONID BIGINT DEFAULT 0 NOT NULL,
                                  FID BIGINT DEFAULT 0 NOT NULL
);


EXEC p_AlterColumn 'T_SOECADM_ANNOUNCE_L', 'FANNOUNCEPER', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

EXEC p_AlterColumn 'T_SOECADM_ANNOUNCE', 'FANNOUNCEPER', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_ANNOUNCE' AND KSQL_COL_NAME ='FJCONVOPERSON')
ALTER TABLE T_SOECADM_ANNOUNCE ADD (FJCONVOPERSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_ANNOUNCE' AND KSQL_COL_NAME ='FPERCATEGORY')
ALTER TABLE T_SOECADM_ANNOUNCE ADD (FPERCATEGORY VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_AINPER')
CREATE TABLE T_SOECADM_AINPER (
                                  FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                  FSEQ INT DEFAULT 0 NOT NULL,
                                  FINCONVOPERSONID BIGINT DEFAULT 0 NOT NULL,
                                  FID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOECADM_APPREMCOLL_L' AND KSQL_COL_NAME ='FDISPBATCHNUMBER')
 ALTER TABLE T_SOECADM_APPREMCOLL_L ADD (FDISPBATCHNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
